Package com.independentsoft.graph.files

# Class IdentitySet

java.lang.Object
com.independentsoft.graph.files.IdentitySet

public class IdentitySet extends Object
Represents a set of identities associated with an action, event, or resource in Microsoft Graph.

An IdentitySet groups together the different actors – such as the application, device, or user – that are involved in an action. Each `Identity` is optional and present only when applicable. For example, the created-by information of a drive item is returned as an IdentitySet so that both the user and the application that created it can be inspected.

Example usage:

     IdentitySet createdBy = driveItem.getCreatedBy();

     if (createdBy != null && createdBy.getUser() != null)
     {
         System.out.println(createdBy.getUser().getDisplayName());
     }

Since:
  1.0
See Also:
  identitySet resource type, `Identity`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentitySet()`
  `IdentitySet​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Identity`
  `getApplication()`
  `Identity`
  `getApplicationInstance()`
  `Identity`
  `getConversation()`
  `Identity`
  `getConversationIdentityType()`
  `Identity`
  `getDevice()`
  `Identity`
  `getEncrypted()`
  `Identity`
  `getGuest()`
  `Identity`
  `getPhone()`
  `Identity`
  `getUser()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentitySet

    public IdentitySet()

  - ### IdentitySet

    public IdentitySet​(JsonObject jsonObject)

- ## Method Details

  - ### getApplication

    public Identity getApplication()

  - ### getApplicationInstance

    public Identity getApplicationInstance()

  - ### getConversation

    public Identity getConversation()

  - ### getConversationIdentityType

    public Identity getConversationIdentityType()

  - ### getDevice

    public Identity getDevice()

  - ### getEncrypted

    public Identity getEncrypted()

  - ### getGuest

    public Identity getGuest()

  - ### getPhone

    public Identity getPhone()

  - ### getUser

    public Identity getUser()